Qyra
ReferenceProjects

Get project

Get a project of an organiztion

GET/api/v1/projects/{projectUuid}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Responses

200 — Success

{
  "results": {
    "agentSqlScope": {
      "deniedCatalogs": [
        "string"
      ],
      "deniedSchemas": [
        "string"
      ],
      "catalogs": [
        "string"
      ],
      "schemas": [
        "string"
      ]
    },
    "provisioningSource": "string",
    "expiresAt": "2024-01-01T00:00:00.000Z",
    "colorPaletteUuid": "string",
    "projectDefaults": {
      "pre_aggregate_execution_fallback": true,
      "granularity_labels": {},
      "additional_time_intervals": {
        "timestamp": [
          "RAW"
        ],
        "date": [
          "RAW"
        ]
      },
      "column_totals": true,
      "case_sensitive": true
    },
    "hasDefaultUserSpaces": true,
    "organizationWarehouseCredentialsUuid": "string",
    "createdByUserUuid": "string",
    "schedulerFailureContactOverride": "string",
    "schedulerFailureIncludeContact": true,
    "schedulerFailureNotifyRecipients": true,
    "useProjectTimezoneInFilters": true,
    "queryTimezone": "string",
    "schedulerTimezone": "string",
    "dbtVersion": "v1.4",
    "upstreamProjectUuid": "string",
    "pinnedListUuid": "string",
    "warehouseConnection": {
      "type": "snowflake",
      "account": "string",
      "requireUserCredentials": true,
      "authenticationType": "password",
      "role": "string",
      "database": "string",
      "warehouse": "string",
      "schema": "string",
      "threads": 0,
      "clientSessionKeepAlive": true,
      "queryTag": "string",
      "accessUrl": "string",
      "startOfWeek": {},
      "dataTimezone": "string",
      "quotedIdentifiersIgnoreCase": true,
      "disableTimestampConversion": true,
      "timeoutSeconds": 0,
      "override": true,
      "organizationWarehouseCredentialsUuid": "string"
    },
    "dbtConnection": {
      "type": "dbt",
      "target": "string",
      "environment": [
        {
          "value": "string",
          "key": "string"
        }
      ],
      "selector": "string",
      "profiles_dir": "string",
      "project_dir": "string"
    },
    "type": "DEFAULT",
    "name": "string",
    "slug": "string",
    "projectUuid": "string",
    "organizationUuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}